
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ajax中的高级请求和响应 / iVAN</title>

    <meta name="description" content="ajax中的高级请求和响应 对于很多 Web 开发人员来说,只需要生成简单的请求并接收简单的响应即可:但是对于希望掌握 Ajax 的开发人员来说,必须要全面理解 HTTP 状态代码.就绪状态和 XMLHttpRequest 对象.在本文中,Brett McLaughlin 将向您介绍各种状态代码,并展示浏览器如何对其进行处理,本文还给出了在 Ajax 中使用的比较少见的 HTTP 请求: HTTP 就绪状态 HTTP 状态代码 可以生成的请求类型 深入了解 HTTP 就绪状态 0:请求未初始化(还没有调用 open()).">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ajax中的高级请求和响应</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于很多 Web 开发人员来说，只需要生成简单的请求并接收简单的响应即可；但是对于希望掌握 Ajax 的开发人员来说，必须要全面理解 HTTP 状态代码、就绪状态和 XMLHttpRequest 对象。在本文中，Brett McLaughlin 将向您介绍各种状态代码，并展示浏览器如何对其进行处理，本文还给出了在 Ajax 中使用的比较少见的 HTTP 请求；</p>
<ul>
<li>HTTP 就绪状态</li>
<li>HTTP 状态代码</li>
<li>可以生成的请求类型</li>
</ul>
<p><a>深入了解 HTTP 就绪状态</a></p>
<ul>
<li><b>0</b>：请求未初始化（还没有调用 <code>open()</code>）。</li>
<li><b>1</b>：请求已经建立，但是还没有发送（还没有调用 <code>send()</code>）。</li>
<li><b>2</b>：请求已发送，正在处理中（通常现在可以从响应中获取内容头）。</li>
<li><b>3</b>：请求在处理中；通常响应中已有部分数据可用了，但是服务器还没有完成响应的生成。</li>
<li><b>4</b>：响应已完成；您可以获取并使用服务器的响应了。</li>
</ul>
<p>如果您希望不仅仅是了解 Ajax 编程的基本知识，那么就不但需要知道这些状态，了解这些状态是何时出现的，以及如何来使用这些状态。首先，您需要学习在每种就绪状态下可能碰到的是哪种请求状态。不幸的是，这一点并不直观，而且会涉及几种特殊的情况。</p>
<p><a>深入了解 HTTP 状态代码</a></p>
<p><b><br />401</b>：未经授权</p>
<p><b>403</b>：禁止</p>
<p><b>404</b>：没找到</p>
<p><a>200：一切正常</a></p>
<ol>
<li>   function updatePage() {</li>
<li>     if (request.readyState == 4) {</li>
<li>       if (request.status == 200) {</li>
<li>         var response = request.responseText.split("|");</li>
<li>         document.getElementById("order").value = response[0];</li>
<li>         document.getElementById("address").innerHTML =</li>
<li>           response[1].replace(//n/g, "&lt;br /&gt;");</li>
<li>       } else</li>
<li>         alert("status is " + request.status);</li>
<li>     }</li>
<li>   }</li>
</ol>
<p>通过添加这几行代码，您就可以确认是否存在问题，用户会看到一个有用的错误消息，而不仅仅是看到一个由断章取义的数据所构成的页面，而没有任何解释。</p>
<p><a>重定向和重新路由</a><br /><a>在深入介绍有关错误的内容之前，我们有必要来讨论一下有关一个在使用 Ajax 时 <i>并不需要</i> 关心的问题 —— 重定向。在 HTTP 状态代码中，这是 300 系列的状态代码，包括：</a></p>
<p><a><b>301</b>：永久移动</p>
<p><b>302</b>：找到（请求被重新定向到另外一个 URL/URI 上）</p>
<p><b>305</b>：使用代理（请求必须使用一个代理来访问所请求的资源）</a><br /><a>Ajax 程序员可能并不太关心有关重定向的问题，这是由于两方面的原因：</a></p>
<p><a>首先，Ajax 应用程序通常都是为一个特定的服务器端脚本、servlet 或应用程序而编写的。对于那些您看不到就消失了的组件来说，Ajax 程序员就不太清楚了。因此有时您会知道资源已经移动了（因为您移动了它，或者通过某种手段移动了它），接下来要修改请求中的 URL，并且不会再碰到这种结果了。<br />
更为重要的一个原因是：Ajax 应用程序和请求都是封装在沙盒中的。这就意味着提供生成 Ajax 请求的 Web 页面的域必须是对这些请求进行响应的域。因此 ebay.com 所提供的 Web 页面就不能对一个在 amazon.com 上运行的脚本生成一个 Ajax 风格的请求；在 ibm.com 上的 Ajax 应用程序也无法对在 netbeans.org 上运行的 servlets 发出请求。</a><br /><a>结果是您的请求无法重定向到其他服务器上，而不会产生安全性错误。在这些情况中，您根本就不会得到状态代码。通常在调试控制台中都会产生一个 JavaScript 错误。因此，在对状态代码进行充分的考虑之后，您就可以完全忽略重定向代码的问题了。</a></p>
<ol>
<li>实际上生成 HEAD 请求非常简单；您可以使用 "HEAD"（而不是 "GET" 或 "POST"）作为第一个参数来调用 open() 方法，如 清单 9 所示</li>
</ol>
<ol>
<li>  function getSalesData() {</li>
<li>     createRequest();</li>
<li>     var url = "/boards/servlet/UpdateBoardSales";</li>
<li>     request.open("HEAD", url, true);</li>
<li>     request.onreadystatechange = updatePage;</li>
<li>     request.send(null);</li>
<li>   }</li>
</ol>
<p>当您这样生成一个 HEAD 请求时，服务器并不会像对 GET 或 POST 请求一样返回一个真正的响应。相反，服务器只会返回资源的 <i>头（header）</i>，这包括响应中内容最后修改的时间、请求资源是否存在和很多其他有用信息。您可以在服务器处理并返回资源之前使用这些信息来了解有关资源的信息。</p>
<p>对于这种请求您可以做的最简单的事情就是简单地输出所有的响应头的内容。这可以让您了解通过 HEAD 请求可以使用什么。清单 10 提供了一个简单的回调函数，用来输出从 HEAD 请求中获得的响应头的内容。</p>
<ol>
<li>   function updatePage() {</li>
<li>     if (request.readyState == 4) {</li>
<li>       alert(request.getAllResponseHeaders());</li>
<li>     }</li>
<li>   }</li>
</ol>
<p><a>检查 URL</a></p>
<p>您已经看到了当 URL 不存在时应该如何检查 404 错误。如果这变成一个常见的问题 —— 可能是缺少了一个特定的脚本或 servlet —— 那么您就可能会希望在生成完整的 GET 或 POST 请求之前来检查这个 URL。要实现这种功能，生成一个 HEAD 请求，然后在回调函数中检查 404 错误；清单 11 给出了一个简单的回调函数</p>
<p><a>有用的 HEAD 请求</a></p>
<p>您会发现 HEAD 请求非常有用的一个领域是用来查看内容的长度或内容的类型。这样可以确定是否需要发回大量数据来处理请求，和服务器是否试图返回二进制数据，而不是 HTML、文本或 XML（在 JavaScript 中，这 3 种类型的数据都比二进制数据更容易处理）。</p>
<p>在这些情况中，您只使用了适当的头名，并将其传递给 <code>XMLHttpRequest</code> 对象的 <code>getResponseHeader()</code> 方法。因此要获取响应的长度，只需要调用<code>request.getResponseHeader("Content-Length");</code>。要获取内容类型，请使用 <code>request.getResponseHeader("Content-Type");</code>。</p>
<p>在很多应用程序中，生成 HEAD 请求并没有增加任何功能，甚至可能会导致请求速度变慢（通过强制生成一个 HEAD 请求来获取有关响应的数据，然后在使用一个 GET 或 POST 请求来真正获取响应）。然而，在出现您不确定有关脚本或服务器端组件的情况时，使用 HEAD 请求可以获取一些基本的数据，而不需要对响应数据真正进行处理，也不需要大量的带宽来发送响应。</p>
<ul>
<li>如果您可以考虑各种就绪状态 —— 并且理解了这些就绪状态在不同浏览器之间的区别 —— 就可以快速调试应用程序了。您甚至可以基于就绪状态而开发一些创造性的功能，并向用户和客户回报请求的状态。</li>
<li>如果您要对状态代码进行控制，就可以设置应用程序来处理脚本错误、非预期的响应以及边缘情况。结果是应用程序在所有的时间都可以正常工作，而不仅仅是只能一切都正常的情况下才能运行。</li>
<li>增加这种生成 HEAD 请求的能力，检查某个 URL 是否存在，以及确认某个文件是否被修改过，这样就可以确保用户可以获得有效的页面，用户所看到的信息都是最新的，（最重要的是）让他们惊讶这个应用程序是如何健壮和通用。</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 16:36:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ajax中的高级请求和响应的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeL57p.html" rel="bookmark">Ajax 中的高级请求和响应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|高级|请求|响应 对于很多 Web 开发人员来说,只需要生成简单的请求并接收简单的响应即可:但是对于希望掌握 Ajax 的开发人员来说,必须要全面理解 HTTP 状态代码.就绪状态和 XMLHttpRequest 对象.在本文中,Brett McLaughlin 将向您介绍各种状态代码,并展示浏览器如何对其进行处理,本文还给出了在 Ajax 中使用的比较少见的 HTTP 请求. 在本系列的 上篇文章 中,我们将详细介绍 XMLHttpRequest 对象,它是 Ajax 应用程序的中心			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQkEwp.html" rel="bookmark">&lbrack;四天学会ajax&rsqb; 学习Ajax教程第三天&comma;Ajax 中的高级请求和响应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|高级|教程|请求|响应 对于很多 Web 开发人员来说,只需要生成简单的请求并接收简单的响应即可:但是对于希望掌握 Ajax 的开发人员来说,必须要全面理解 HTTP 状态代码.就绪状态和 XMLHttpRequest 对象.在本文中,Brett McLaughlin 将向您介绍各种状态代码,并展示浏览器如何对其进行处理,本文还给出了在 Ajax 中使用的比较少见的 HTTP 请求. 在本系列的 上篇文章 中,我们将详细介绍 XMLHttpRequest 对象,它是 Ajax 应用程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd77J1M.html" rel="bookmark">掌握Ajax，第3部分&colon; Ajax中的高级请求和响应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				全面理解 HTTP 的状态代码.就绪状态和 XMLHttpRequest 对象 简介:对于很多 Web 开发人员来说,只需要生成简单的请求并接收简单的响应即可:但是对于希望掌 握 Ajax 的开发人员来说,必须要全面理解 HTTP 状态代码.就绪状态和 XMLHttpRequest 对象.在本文 中,Brett McLaughlin 将向您介绍各种状态代码,并展示浏览器如何对其进行处理,本文还给出了在 Ajax 中使用的比较少见的 HTTP 请求. 在本系列的 上篇文章 中,我们将详细介绍 XM			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0P6eJM.html" rel="bookmark">WebService大讲堂之Axis2&lpar;10&rpar;：使用soapmonitor模块监视soap请求与响应消息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Axis2中提供了一个Axis2模块(soapmonitor),该模块实现了与&lt;WebService大讲堂之Axis2(9): 编写Axis2模块(Module)&gt;中实现的logging模块相同的功能,所不同的是,logging模块直接将SOAP请 求与响应消息输出到Tomcat控制台中,而soapmonitor模块利用applet直接在页面中输出SOAP请求和响应 消息. 下面是配置和使用soapmonitor模块的步骤: 第1步:部署Applet和Servlet 由于axis2默认情况下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmV1X1z.html" rel="bookmark">ajax-Ajax中的uri请求不到action</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Ajax中的uri请求不到action 解决方案 先在地址栏中输入action的url,看是否能访问到.可能action地址没有呢 解决方案二: url有没有写错什么之类的,打开火狐调式一下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK77eOb.html" rel="bookmark">掌握Ajax，第8部分&colon; 在请求和响应中使用XML</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ajax 客户机/服务器通信可以很巧妙 简介:在 本系列的上一篇文章 中,您看到了 Ajax 应用程序如何以 XML 格式化发往服务器的请求. 还了解了为什么这在大多数情况下并不是一个好主意.这篇文章主要探讨在大多数情况下确实是 好主意 的一种做法:向客户机返回 XML 响应. 我其实并不喜欢写那种主要告诉您什么不应该 做的文章.很多时候,那都会是一篇非常愚蠢的文章. 我要在前半篇文章中解释某些东西,然后在后半篇文章中说明使用您刚刚才学会的那种技术是一个多么糟 糕的主意.在很大程度上,上一期文章			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOOQAM.html" rel="bookmark">掌握Ajax，第7部分&colon; 在请求和响应中使用XML</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				了解什么时候适合什么时候不适合使用 XML 简介:偶尔使用 Ajax 的开发人员也会注意到 Ajax 中的 x 并意识到它代表 XML.XML 是编程中最常 用的数据格式之一,对于异步应用程序中的服务器响应能够带来切实的好处.在本文中,您将看到服务器 如何在请求响应中发送 XML. 现在如果不使用 XML 就不能进行任何有意义的编程.无论考虑转向 XHTML 的网页设计人员.使用 JavaScript 的 Web 程序员.使用部署描述文件和数据绑定的服务器端程序员,还是研究基于 XML 的数 据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zO4w9b.html" rel="bookmark">Ajax中get与post请求详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习ajax技术的时候,很多同学对于ajax中get与post请求总是疑问不解,为了给学员解决疑问,现将授课中对get与post的请求的总结发表于学生大本营中,希望能给你带来帮助. 在ajax入门详解中我也简单的介绍了它们之间的使用区别,为了使学员能够彻底的明白,现将如授课中的总结发表如下.一.get()和post()基本区别 1.get 是把参数数据队列加到提交表单的ACTION属性所指的URL中,值和表单内各个字段一一对应,在URL中可以看到.post是通过HTTP post机制,将表单内各			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60mryz.html" rel="bookmark">servlet-js中使用ajax函数做同步请求Servlet连接数据库进行验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 js中使用ajax函数做同步请求Servlet连接数据库进行验证 这是一个js表单验证,验证email的部分,我想达到的目的是在输入email信息结束后进行验证,前两个条件直接自身进行验证,效果已经实现了,后面的那个我想用ajax的效果进行同步验证,防止email重复,但是效果一直出不来,不知道是否是ajax函数参数设置有问题什么的,或者eclipse出bug什么的,请问有人帮忙看一下的么? email输入部分代码: Email: id=&quot;email&quot; class=&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba7nqp.html" rel="bookmark" class="title">Swift中NSString与String转换</a>
					<div>
						var text: NSString = NSString(CString: titleLabel!.text!.cStringUsingEncoding(NSUTF8StringEncoding)! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8JZ4b.html" rel="bookmark" class="title">HTML 基本语法</a>
					<div>
						语法 1.1一般标记 一般标记是由一个起始标记(Opening Tag)和一个结束标记(Ending Tag)所组成,其语法为:&lt;x&gt;受控文字&lt;/x&gt; 其中,x代表标记名称.& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPg8qM.html" rel="bookmark" class="title">简约的设计&colon;设计者的思考Less is More</a>
					<div>
						文章描述:设计中的Less和More. Less is More是很多设计师的口头禅,它最早是由建筑大师Ludwig Mies van der Rohe提出,是一种提倡简单,反对过度装饰的设计理念.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrNl1M.html" rel="bookmark" class="title">回归web1&period;0合理地利用web2&period;0的资源</a>
					<div>
						web|web2 &quot;站长&quot;一个不该放弃的职业 本人混网的日子也不短了,做过的网站也有N个.但没有一个是成功,赚过钱的.在本人未懂事的时候曾2000年在碧聊上申请了一个本地聊天室&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw3vdz.html" rel="bookmark" class="title">战场上必须了解对手</a>
					<div>
						  笔者很喜欢看历史书,特别是那些帝王篇,古代帝王的想法在笔者看来永远是那么的深奥,去了解也只能了解到一个片面.最进笔者在看&quot;孙子兵法&quot;,不知道大家有没有看过.没有看过的可以去看下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJy4Vp.html" rel="bookmark" class="title">优化B2C优惠券平台如何选取关键词</a>
					<div>
						之前写了一篇文章--&lt;分析国内电子优惠券市场的前景&gt;里面提到了B2C优惠券市场,有朋友就问我,在SEO方面,优惠券平台应该如何选取关键词,刚好在最近有幸负责了一个B2C优惠券平台--砍价券 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2OvqM.html" rel="bookmark" class="title">C&num;中使用Spread6&period;0全攻略</a>
					<div>
						攻略 (一)在C#中加载Spread6.0 nmd002版&lt;C#加载Spread6.0全攻略&gt; 首先,在引用里加载Spread6.0的Dll文件.(如果你先安了C#,再安的Spread有可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx4POb.html" rel="bookmark" class="title">PowerPoint制作蜜蜂跳&OpenCurlyDoubleQuote;8&rdquo;字舞实例</a>
					<div>
						小学三年级有一篇叫&lt;蜜蜂&gt;的课文,讲到如果找到的蜜源离的比较远就表演&quot;8&quot;字舞.为加深学生的印象,我们可以用幻灯片形象将蜜蜂的动作表示出来. 以跳&quot;8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBxnQb.html" rel="bookmark" class="title">Silverlight3系列（四）数据绑定 Data Binding 1</a>
					<div>
						今天我们讨论的是Silverlight3中的数据绑定,内容来自 &lt;Pro Silverlight3 in C#&gt;的读后感,中文名称可以译为&lt;Silverlight3高级编程 C#版& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrXNdp.html" rel="bookmark" class="title">PhotoShop合成一个系着鞋带的桔子教程</a>
					<div>
						先看效果图. 打开桔子图片,用钢笔工具做一选区,删除. 将剥皮桔子图片打开,拖入文档中,适当缩放,摆好位置 打开半个桔子图片,用钢笔或套索做一个选区 复制粘贴到文档中,大小及位置如下,注意图层顺序					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYYO0M.html" rel="bookmark" class="title">PS制作时尚炫彩风格的小米手机海报</a>
					<div>
						  今天带同学们来临摹一个小米的宣传图,空间感和色彩都非常吸引眼球,拿来做海报练手再好不过.教程每个步骤都仔仔细细地截图了,新手也可以顺利完成,直接开练吧. 效果图: 新建. 选择圆角矩形工具. 选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGl7lb.html" rel="bookmark" class="title">新萝卜家园Ghost Win7系统怎么预防蓝屏死机</a>
					<div>
						安装了新萝卜家园Ghost Win7系统的用户,都会担心这个系统稳不稳定,会不会时不时地来一个蓝屏死机.相信不止新萝卜家园Ghost Win7系统使用者会有此担心,所有计算机使用者都会有这个担心.下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3A6AM.html" rel="bookmark" class="title">2016年电脑杀毒软件哪个最好用</a>
					<div>
						  杀毒软件是什么? 杀毒软件是一种可以对病毒.木马等一切已知的对计算机有危害的程序代码进行清除的程序工具. &quot;杀毒软件&quot;由国内的老一辈反病毒软件厂商起的名字,后来由于和世界反病毒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWXZ7b.html" rel="bookmark" class="title">&lbrack;华为机试练习题&rsqb;34&period;识别有效的IP地址和掩码并进行分类统计</a>
					<div>
						题目 描述: 请解析IP地址和对应的掩码,进行分类识别.要求按照A/B/C/D/E类地址归类,不合法的地址和掩码单独归类. 所有的IP地址划分为 A,B,C,D,E五类 A类地址1.0.0.0~126 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdL4oM.html" rel="bookmark" class="title">iOS开发之数据存储之NSData</a>
					<div>
						1.概述 使用archiveRootObject:toFile:方法可以将一个对象直接写入到一个文件中,但有时候可能想将多个对象写入到同一个文件中,那么就要使用NSData来进行归档对象. NSDat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxXadb.html" rel="bookmark" class="title">vs2015-C语言数组的变长数组问题</a>
					<div>
						问题描述 C语言数组的变长数组问题 VS2015为什么用不了变长数组,用const定义的也不能用,什么编辑器才能用?求大神帮助 解决方案 跟vs2015没关系,用list吧 解决方案二: c语言变长数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVywAb.html" rel="bookmark" class="title">sql-多表连接，内容相同时显示空行，改如何用ＳＱＬ实现</a>
					<div>
						问题描述 多表连接,内容相同时显示空行,改如何用SQL实现 如上图,订单表.发票表.收款表通过订单号连接成一个表,不能确定每个表订单对应发票.收款的行数,当内容相同时,则不显示,如何用SQL实现 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKxe0z.html" rel="bookmark" class="title">流  close&lpar;&rpar;-java 输入流的关闭问题</a>
					<div>
						问题描述 java 输入流的关闭问题 如下代码,运行时报Stream closed错, 把bs.close();注释了正常,每次循环不能初始化流么? import java.io.*; public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94AgRb.html" rel="bookmark" class="title">【50分，不够可另贴加分】题目不好说，看内容吧</a>
					<div>
						问题描述 我先写了一个程序(甲),运行后会输出一个整数然后又写了一个程序(乙)我把甲作为资源文件添加到乙中,当我运行乙后,会把甲释放出来,并且给它传递一个整数值当我运行从乙中生成的甲时,输出的整数为乙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEKgoM.html" rel="bookmark" class="title">炒股软件不是活雷锋 揭露其&OpenCurlyDoubleQuote;神奇暴富&rdquo;之谜</a>
					<div>
						2007年中国股市浪潮中,最神奇的是什么?答案是:&quot;红得发紫&quot;的各类 炒股软件,尤其是宣称可以准确分析股市行情走势的炒股软件. &quot;一月内收益率达到200%&quot;:& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAe0eM.html" rel="bookmark" class="title">五大SEO技巧让你站排名第一</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在做网站SEO很重要这是大家都知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRNOBb.html" rel="bookmark" class="title">求救！java1&period;5 和 java1&period;7共存的问题</a>
					<div>
						问题描述 新旧两套应用切换,新系统上线一段时间内,还需要使用旧系统.旧系统在java1.7下访问,会闪退:新系统在java1.5下使用不了.两套系统也只能使用32位的IE8或IE9访问,请问有办法配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Y9Kz.html" rel="bookmark" class="title">想请问如何实现知道对方IP就能实现直接通信&comma;比如对面桌面弹出框&comma;我这边发消息&comma;那边就收到了&comma;需要用什么做&quest;java如何实现&quest;</a>
					<div>
						问题描述 想请问如何实现知道对方IP就能实现直接通信,比如对面桌面弹出框,我这边发消息,那边就收到了,需要用什么做?java如何实现?就是好奇,想知道这里边肯定牵扯不是一个方面,希望大神解惑,如果我要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkP6KM.html" rel="bookmark" class="title">vue&period;js通过自定义指令实现数据拉取更新的实现方法&lowbar;javascript技巧</a>
					<div>
						前言 这篇文章的代码片段位于 vue 的单文件组件中,即以 .vue 结尾的文件中,本文说明的只是一种实现方法,既不是唯一的方法也不是最好的方法,如果大家有更好的方法可以留言,大家进行讨论. 第一步  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVl7qz.html" rel="bookmark" class="title">使用jQuery轻松实现Ajax的实例代码&lowbar;jquery</a>
					<div>
						生成Asp.Net MVC框架后,已经包含了jQuery脚本,相关环境设置可参看我的另一篇文章:Asp.Net MVC实例.这里,我们仍然借助实例中的环境.在生成的框架中的Scripts文件夹中已经可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G0nlM.html" rel="bookmark" class="title">《从LinkedIn走向成功》一你的独特经验</a>
					<div>
						你的独特经验 从LinkedIn走向成功我们每一个人都会给市场带来自己独特的经验.这些经验包括我们的教育.工作.文化.种族.兴趣爱好和家庭等.今天,随着虚拟营销和促销变得越来越重要,建立你自己的强大个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPLVZp.html" rel="bookmark" class="title">《Excel高手捷径：一招鲜，吃遍天》一第18招&emsp;怎样在Excel中插入方框内打勾符号&lpar;&Sqrt;&rpar;和方框内打叉符号&lpar;&times;&rpar;</a>
					<div>
						第18招 怎样在Excel中插入方框内打勾符号(√)和方框内打叉符号(×) Excel高手捷径:一招鲜,吃遍天要在Excel单元格内容为&quot;是&quot;和&quot;否&quot;后面插入方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg59Rz.html" rel="bookmark" class="title">asp&period;net手机号码归属地查询代码&lpar;1&sol;2&rpar;</a>
					<div>
						create table t_phone ( id int identity(1,1) not null primary key, startno varchar(11) not null, endn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPn28p.html" rel="bookmark" class="title">人工智能打造真正的智慧城市</a>
					<div>
						Machine Zone是一家利用人工智能技术提供实时数据流管理分析服务的公司,总部位于加州Palo Alto.该公司开发的RTplatform实时基础架构,可以连接移动游戏内数百万个玩家,目前MZ支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG19moM.html" rel="bookmark" class="title">电商蜂拥打出&OpenCurlyDoubleQuote;家电赔本牌&rdquo;</a>
					<div>
						早报记者 周玲 实习生 王渊 6月份中下旬开展的京东商城.库巴.卓越亚马逊等促销大战硝烟未灭,家电网购门户库巴购物网又开始新一轮&quot;亏本促销&quot;.库巴网计划在7月14日至17日间再次推 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.075 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
